## kpimtextedit 24.12.3

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
set(PIM_VERSION "6.3.3")

project(KPimTextEdit VERSION ${PIM_VERSION})

# ECM setup
set(KF_MIN_VERSION "6.6.0")
set(QT_REQUIRED_VERSION "6.7.0")
find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})


include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(ECMGenerateExportHeader)
include(ECMGenerateHeaders)

include(ECMSetupVersion)
include(FeatureSummary)
include(KDEGitCommitHooks)
include(KDEClangFormat)
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES src/*.cpp src/*.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

include(ECMAddTests)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMFeatureSummary)
include(ECMCheckOutboundLicense)
include(ECMAddQch)

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

set(KPIMTEXTEDIT_LIB_VERSION ${PIM_VERSION})

set(KTEXTADDONS_MIN_VERSION "1.5.4")

find_package(Qt6 ${QT_REQUIRED_VERSION} CONFIG REQUIRED COMPONENTS Widgets)

########### Find packages ###########
find_package(KF6Config ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6CoreAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6I18n ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6IconThemes ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6KIO ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Sonnet ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6SyntaxHighlighting ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6WidgetsAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6XmlGui ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Codecs ${KF_MIN_VERSION} CONFIG REQUIRED)

option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if(USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
endif()

add_definitions(-DTRANSLATION_DOMAIN=\"libkpimtextedit6\")

add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
ecm_set_disabled_deprecation_versions(QT 6.8.0  KF 6.8.0)


find_package(KF6TextEditTextToSpeech ${KTEXTADDONS_MIN_VERSION} CONFIG)
if(TARGET KF6::TextEditTextToSpeech)
    add_definitions(-DHAVE_KTEXTADDONS_TEXT_TO_SPEECH_SUPPORT)
    set(HAVE_TEXTTOSPEECH TRUE)
endif()

find_package(KF6TextEmoticonsWidgets ${KTEXTADDONS_MIN_VERSION} CONFIG REQUIRED)

find_package(KF6TextCustomEditor ${KTEXTADDONS_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6TextAddonsWidgets ${KTEXTADDONS_MIN_VERSION} CONFIG REQUIRED)

if(BUILD_TESTING)
   find_package(Qt6 ${QT_REQUIRED_VERSION} CONFIG REQUIRED COMPONENTS Test)
   add_definitions(-DBUILD_TESTING)
endif()

########### Targets ###########
add_subdirectory(src)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
ki18n_install(po)
ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
file(GLOB_RECURSE ALL_SOURCE_FILES src/*.cpp src/*.h)
ecm_check_outbound_license(LICENSES GPL-2.0-only  FILES ${ALL_SOURCE_FILES})

=== src/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause

########### CMake Config Files ###########
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KPim6TextEdit")
ecm_setup_version(PROJECT VARIABLE_PREFIX KPIMTEXTEDIT
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kpimtextedit_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KPim6TextEditConfigVersion.cmake"
    SOVERSION 6
)


if(BUILD_TESTING)
    add_subdirectory(autotests)
    add_subdirectory(tests)
endif()


add_library(KPim6TextEdit)
add_library(KPim6::TextEdit ALIAS KPim6TextEdit)

target_sources(KPim6TextEdit PRIVATE
    composer-ng/richtextcomposer.cpp
    composer-ng/richtextcomposercontroler.cpp
    composer-ng/richtextcomposeractions.cpp
    composer-ng/klinkdialog.cpp
    composer-ng/nestedlisthelper.cpp
    composer-ng/richtextexternalcomposer.cpp
    composer-ng/richtextcomposerimages.cpp
    composer-ng/richtextcomposeremailquotedecorator.cpp
    composer-ng/richtextcomposeremailquotehighlighter.cpp
    composer-ng/richtextcomposerwidget.cpp
    composer-ng/richtextcomposer.h
    composer-ng/richtextcomposercontroler.h
    composer-ng/richtextcomposeractions.h
    composer-ng/klinkdialog_p.h
    composer-ng/nestedlisthelper_p.h
    composer-ng/richtextexternalcomposer.h
    composer-ng/richtextcomposerimages.h
    composer-ng/richtextcomposeremailquotedecorator.h
    composer-ng/richtextcomposeremailquotehighlighter.h
    composer-ng/richtextcomposerwidget.h
)

target_sources(KPim6TextEdit PRIVATE
    grantleebuilder/plaintextmarkupbuilder.cpp
    grantleebuilder/markupdirector.cpp
    grantleebuilder/texthtmlbuilder.cpp
    grantleebuilder/plaintextmarkupbuilder.h
    grantleebuilder/markupdirector.h
    grantleebuilder/texthtmlbuilder.h
)

target_sources(KPim6TextEdit PRIVATE
    inserthtmldialog.cpp
    insertimagedialog.cpp
    insertimagewidget.cpp
    inserttabledialog.cpp
    tableactionmenu.cpp
    tablecellformatdialog.cpp
    tableformatdialog.cpp
    textutils.cpp
    inserttablewidget.cpp
    inserthtmleditor.cpp

    inserthtmldialog.h
    insertimagedialog.h
    insertimagewidget.h
    inserttabledialog.h
    tableactionmenu.h
    tablecellformatdialog.h
    tableformatdialog.h
    textutils.h
    inserttablewidget.h
    inserthtmleditor.h
)

ecm_qt_declare_logging_category(KPim6TextEdit HEADER kpimtextedit_debug.h IDENTIFIER KPIMTEXTEDIT_LOG CATEGORY_NAME org.kde.pim.kpimtextedit
        DESCRIPTION "kpimtextedit (kpimtextedit)" EXPORT KPIMTEXTEDIT)


if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(KPim6TextEdit PROPERTIES UNITY_BUILD ON)
endif()
ecm_generate_export_header(KPim6TextEdit
    BASE_NAME kpimtextedit
    VERSION ${KPIMTEXTEDIT_VERSION}
    DEPRECATED_BASE_VERSION 0
    USE_VERSION_HEADER
)

target_include_directories(KPim6TextEdit INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/KPim6/KPIMTextEdit;>")
target_include_directories(KPim6TextEdit PUBLIC "$<BUILD_INTERFACE:${KPimTextEdit_SOURCE_DIR}/src;${KPimTextEdit_BINARY_DIR}/src>")


target_link_libraries(KPim6TextEdit
    PUBLIC
    KF6::TextCustomEditor
    PRIVATE
    KF6::SonnetUi
    KF6::SonnetCore
    KF6::WidgetsAddons
    KF6::KIOWidgets
    KF6::XmlGui
    KF6::I18n
    KF6::SyntaxHighlighting
    KF6::Codecs
)

if(TARGET KF6::TextEditTextToSpeech)
    target_link_libraries(KPim6TextEdit
        PRIVATE
        KF6::TextEditTextToSpeech
)
endif()

target_link_libraries(KPim6TextEdit
    PRIVATE
    KF6::TextEmoticonsWidgets
)

set_target_properties(KPim6TextEdit PROPERTIES
    VERSION ${KPIMTEXTEDIT_VERSION}
    SOVERSION ${KPIMTEXTEDIT_SOVERSION}
    EXPORT_NAME PimTextEdit
)

install(TARGETS KPim6TextEdit EXPORT KPim6TextEditTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

########### Generate Headers ###############
ecm_generate_headers(KPimTextEdit_CamelCase_HEADERS
    HEADER_NAMES
    TextUtils

    PREFIX KPIMTextEdit
    REQUIRED_HEADERS kpimtextedit_HEADERS
)

ecm_generate_headers(KPimTextEdit_CamelCasegrantlee_HEADERS
    HEADER_NAMES
    PlainTextMarkupBuilder
    TextHTMLBuilder
    MarkupDirector
    AbstractMarkupBuilder
    PREFIX KPIMTextEdit
    REQUIRED_HEADERS kpimtextedit_HEADERS
    RELATIVE grantleebuilder
)

ecm_generate_headers(KPimTextEdit_Camelcasecomposerng_HEADERS
    HEADER_NAMES
    RichTextComposer
    RichTextComposerControler
    RichTextComposerImages
    RichTextExternalComposer
    RichTextComposerActions
    RichTextComposerEmailQuoteHighlighter
    RichTextComposerWidget
    REQUIRED_HEADERS KPimTextEdit_composerng_HEADERS
    PREFIX KPIMTextEdit
    RELATIVE composer-ng
)


########### install files ###############

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/kpimtextedit_export.h
    ${kpimtextedit_HEADERS}
    ${KPimTextEdit_composerng_HEADERS}
    ${KPimTextEdit_grantlee_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/KPIMTextEdit/kpimtextedit
    COMPONENT Devel
)

install(FILES
    ${KPimTextEdit_CamelCase_HEADERS}
    ${KPimTextEdit_Camelcasecomposerng_HEADERS}
    ${KPimTextEdit_CamelCasegrantlee_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/KPIMTextEdit/KPIMTextEdit/
    COMPONENT Devel
)

if(BUILD_TESTING)
    add_subdirectory(composer-ng/autotests)
    add_subdirectory(composer-ng/tests)
    add_subdirectory(grantleebuilder/autotests)
endif()

ecm_qt_install_logging_categories(EXPORT KPIMTEXTEDIT FILE kpimtextedit.categories DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR})

if(BUILD_QCH)
    ecm_add_qch(
        KPim6TextEdit_QCH
        NAME KPimTextEdit
        BASE_NAME KPim6TextEdit
        VERSION ${PIM_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
            ${kpimtextedit_HEADERS}
            ${KPimTextEdit_composerng_HEADERS}
            ${KPimTextEdit_grantlee_HEADERS}
        LINK_QCHS
            Qt6Core_QCH
            Qt6Gui_QCH
            Qt6Widgets_QCH
        INCLUDE_DIRS
            ${CMAKE_CURRENT_BINARY_DIR}
        BLANK_MACROS
            KPIMTEXTEDIT_EXPORT
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
)
    ecm_install_qch_export(
        TARGETS KPim6PimTextEdit_QCH
        FILE KPim6TextEditQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
)
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KPim6TextEditQchTargets.cmake\")")
endif()


configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KPimTextEditConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KPim6TextEditConfig.cmake"
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/KPim6TextEditConfig.cmake"
    "${CMAKE_CURRENT_BINARY_DIR}/KPim6TextEditConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
)

install(EXPORT KPim6TextEditTargets
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    FILE KPim6TextEditTargets.cmake
    NAMESPACE KPim6::
)

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/kpimtextedit_version.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/KPIMTextEdit
    COMPONENT Devel
)

=== src/autotests/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause
include(ECMAddTests)

ecm_add_test(textutilstest.cpp textutilstest.h
    TEST_NAME textutilstest
    NAME_PREFIX "kpimtextedit-"
    LINK_LIBRARIES Qt::Test Qt::Widgets KF6::Codecs KPim6::TextEdit KF6::XmlGui)

=== src/composer-ng/tests/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause
set(richtextcomposerwidget_gui_SRCS richtextcomposerwidget_gui.cpp)
add_executable(richtextcomposerwidget_gui ${richtextcomposerwidget_gui_SRCS})
target_link_libraries(richtextcomposerwidget_gui
  KPim6::TextEdit KF6::XmlGui KF6::I18n 
)

=== debian/changelog ===
kpimtextedit (24.12.3-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Backport patch to fix build with Qt 6.9 (Closes: #1117349).
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Thu, 09 Oct 2025 21:06:05 +0200

kpimtextedit (24.12.3-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (24.12.3).
  * Bump Standards-Version to 4.7.2 (No changes needed).

 -- Patrick Franz <deltaone@debian.org>  Sat, 29 Mar 2025 18:47:50 +0100

=== debian/control ===
Source: kpimtextedit
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>, Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.6.0~),
               libkf6codecs-dev (>= 6.6.0~),
               libkf6config-dev (>= 6.6.0~),
               libkf6coreaddons-dev (>= 6.6.0~),
               libkf6i18n-dev (>= 6.6.0~),
               libkf6iconthemes-dev (>= 6.6.0~),
               libkf6kio-dev (>= 6.6.0~),
               libkf6sonnet-dev (>= 6.6.0~),
               libkf6syntaxhighlighting-dev (>= 6.6.0~),
               libkf6textwidgets-dev (>= 6.3.0~),
               libkf6widgetsaddons-dev (>= 6.6.0~),
               libkf6xmlgui-dev (>= 6.6.0~),
               libktextaddons-dev (>= 1.5.4~),
               openbox,
               qt6-base-dev (>= 6.7.0~),
               xauth,
               xvfb,
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/pim/kpimtextedit
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kpimtextedit
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kpimtextedit.git
Rules-Requires-Root: no

Package: libkpimtextedit-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: libkpimtextedit - arch independent files
 KPIMTextedit provides a textedit with PIM-specific features. It also provides
 so-called rich text builders which can convert the formatted text in the text
 edit to all kinds of markup, like HTML or BBCODE.
 .
 This package contains the arch independent files.

Package: libkpimtextedit-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkpim6textedit6 (= ${binary:Version}),
         libktextaddons-dev (>= 1.5.4~),
         ${misc:Depends},
Description: libkpimtextedit - development files
 KPIMTextedit provides a textedit with PIM-specific features. It also provides
 so-called rich text builders which can convert the formatted text in the text
 edit to all kinds of markup, like HTML or BBCODE.
 .
 This package contains the development files.

Package: libkpim6textedit6
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: libkpimtextedit-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library that provides a textedit with PIM-specific features
 KPIMTextedit provides a textedit with PIM-specific features. It also provides
 so-called rich text builders which can convert the formatted text in the text
 edit to all kinds of markup, like HTML or BBCODE.
 .
 This package is part of the KDE Development Platform PIM libraries module.

## kpimtextedit 25.04.3

=== debian/changelog ===
kpimtextedit (25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:50:23 +0100

kpimtextedit (25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 11:54:12 +0100

kpimtextedit (25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 22:12:47 +0100

kpimtextedit (25.04.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Apr 2025 19:56:37 +0100

kpimtextedit (24.12.3-0ubuntu1) plucky; urgency=medium

  * New upstream release.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 15 Mar 2025 14:15:31 -0500

## kpimtextedit 25.07.80

=== debian/changelog ===
kpimtextedit (25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)

 -- Rik Mills <rikmills@kde.org>  Mon, 14 Jul 2025 06:43:39 +0100

## kpimtextedit 25.07.90

=== debian/changelog ===
kpimtextedit (25.07.90-0ubuntu1) questing; urgency=medium

  * New upstream (RC) release (25.07.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Jul 2025 17:54:19 +0100

## kpimtextedit 25.08.0

=== debian/changelog ===
kpimtextedit (25.08.0-0zneon+24.04+noble+release+build25) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Wed, 03 Sep 2025 23:25:41 +0000

kpimtextedit (25.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 14:08:30 +0000

kpimtextedit (25.04.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 05 Jul 2025 12:41:10 +0000

kpimtextedit (25.04.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jun 2025 11:41:03 +0000

kpimtextedit (25.04.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 08 May 2025 05:29:59 +0000

kpimtextedit (25.04.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Apr 2025 12:41:27 +0000

kpimtextedit (24.12.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 08 Mar 2025 15:06:16 +0000

kpimtextedit (24.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 15:44:26 +0000

kpimtextedit (24.12.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 20:36:10 +0000

kpimtextedit (24.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 19:31:48 +0000

kpimtextedit (24.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Nov 2024 11:43:54 +0000

kpimtextedit (24.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Oct 2024 22:19:02 +0000

kpimtextedit (24.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 22 Sep 2024 08:50:35 +0000

kpimtextedit (24.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 20 Jun 2024 12:47:32 +0000

kpimtextedit (24.05.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Apr 2024 12:25:02 +0000

kpimtextedit (24.02.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 20 Mar 2024 17:42:35 +0000

kpimtextedit (24.02.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 24 Feb 2024 04:34:18 +0000

kpimtextedit (23.08.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Feb 2024 15:25:13 +0000

kpimtextedit (23.08.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Dec 2023 17:05:08 +0000

kpimtextedit (23.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Nov 2023 10:48:14 +0000

kpimtextedit (23.08.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Oct 2023 17:39:17 +0000

kpimtextedit (23.08.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 13 Sep 2023 16:37:34 +0000

kpimtextedit (23.08.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 24 Aug 2023 10:10:48 +0000

kpimtextedit (23.04.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Jun 2023 22:42:46 +0000

kpimtextedit (22.12.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 02 Mar 2023 13:33:53 +0000

kpimtextedit (22.12.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jan 2023 16:47:25 +0000

kpimtextedit (22.12.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Dec 2022 12:52:09 +0000

kpimtextedit (22.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Nov 2022 10:13:39 +0000

kpimtextedit (22.08.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2022 18:34:01 +0000

kpimtextedit (22.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 18 Aug 2022 10:14:10 +0000

kpimtextedit (22.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Jul 2022 13:00:02 +0000

kpimtextedit (22.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 07 Jun 2022 21:23:42 +0000

kpimtextedit (22.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 May 2022 14:18:14 +0000

kpimtextedit (22.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 18 Apr 2022 13:30:31 +0000

kpimtextedit (21.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Feb 2022 11:04:36 +0000

kpimtextedit (21.12.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Jan 2022 11:05:52 +0000

kpimtextedit (21.12.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 02 Nov 2021 16:37:52 +0000

kpimtextedit (21.08.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Oct 2021 11:41:51 +0000

kpimtextedit (21.08.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Sep 2021 09:33:53 +0000

kpimtextedit (21.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Aug 2021 10:09:25 +0000

kpimtextedit (21.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Jul 2021 11:58:02 +0000

kpimtextedit (21.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jun 2021 08:27:22 +0000

kpimtextedit (21.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 13 May 2021 08:58:25 +0000

kpimtextedit (21.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Apr 2021 10:25:58 +0000

kpimtextedit (20.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 03 Mar 2021 13:03:43 +0000

kpimtextedit (20.12.2-0neon) focal; urgency=medium

  * New release



## kpimtextedit 25.08.1

=== src/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause

########### CMake Config Files ###########
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KPim6TextEdit")
ecm_setup_version(PROJECT VARIABLE_PREFIX KPIMTEXTEDIT
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kpimtextedit_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KPim6TextEditConfigVersion.cmake"
    SOVERSION 6
)

if(BUILD_TESTING)
    add_subdirectory(autotests)
    add_subdirectory(tests)
endif()

add_library(KPim6TextEdit)
add_library(KPim6::TextEdit ALIAS KPim6TextEdit)

target_sources(
    KPim6TextEdit
    PRIVATE
        composer-ng/richtextcomposer.cpp
        composer-ng/richtextcomposercontroler.cpp
        composer-ng/richtextcomposeractions.cpp
        composer-ng/klinkdialog.cpp
        composer-ng/nestedlisthelper.cpp
        composer-ng/richtextexternalcomposer.cpp
        composer-ng/richtextcomposerimages.cpp
        composer-ng/richtextcomposeremailquotedecorator.cpp
        composer-ng/richtextcomposeremailquotehighlighter.cpp
        composer-ng/richtextcomposerwidget.cpp
        composer-ng/richtextcomposer.h
        composer-ng/richtextcomposercontroler.h
        composer-ng/richtextcomposeractions.h
        composer-ng/klinkdialog_p.h
        composer-ng/nestedlisthelper_p.h
        composer-ng/richtextexternalcomposer.h
        composer-ng/richtextcomposerimages.h
        composer-ng/richtextcomposeremailquotedecorator.h
        composer-ng/richtextcomposeremailquotehighlighter.h
        composer-ng/richtextcomposerwidget.h
)

target_sources(
    KPim6TextEdit
    PRIVATE
        grantleebuilder/plaintextmarkupbuilder.cpp
        grantleebuilder/markupdirector.cpp
        grantleebuilder/texthtmlbuilder.cpp
        grantleebuilder/plaintextmarkupbuilder.h
        grantleebuilder/markupdirector.h
        grantleebuilder/texthtmlbuilder.h
)

target_sources(
    KPim6TextEdit
    PRIVATE
        inserthtmldialog.cpp
        insertimagedialog.cpp
        insertimagewidget.cpp
        inserttabledialog.cpp
        tableactionmenu.cpp
        tablecellformatdialog.cpp
        tableformatdialog.cpp
        textutils.cpp
        inserttablewidget.cpp
        inserthtmleditor.cpp
        inserthtmldialog.h
        insertimagedialog.h
        insertimagewidget.h
        inserttabledialog.h
        tableactionmenu.h
        tablecellformatdialog.h
        tableformatdialog.h
        textutils.h
        inserttablewidget.h
        inserthtmleditor.h
)

ecm_qt_declare_logging_category(KPim6TextEdit HEADER kpimtextedit_debug.h IDENTIFIER KPIMTEXTEDIT_LOG CATEGORY_NAME org.kde.pim.kpimtextedit
        DESCRIPTION "kpimtextedit (kpimtextedit)" EXPORT KPIMTEXTEDIT
)

if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(
        KPim6TextEdit
        PROPERTIES
            UNITY_BUILD
                ON
    )
endif()
ecm_generate_export_header(KPim6TextEdit
    BASE_NAME kpimtextedit
    VERSION ${KPIMTEXTEDIT_VERSION}
    DEPRECATED_BASE_VERSION 0
    USE_VERSION_HEADER
)

target_include_directories(KPim6TextEdit INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/KPim6/KPIMTextEdit;>")
target_include_directories(
    KPim6TextEdit
    PUBLIC
        "$<BUILD_INTERFACE:${KPimTextEdit_SOURCE_DIR}/src;${KPimTextEdit_BINARY_DIR}/src>"
)

target_link_libraries(
    KPim6TextEdit
    PUBLIC
        KF6::TextCustomEditor
    PRIVATE
        KF6::SonnetUi
        KF6::SonnetCore
        KF6::WidgetsAddons
        KF6::KIOWidgets
        KF6::XmlGui
        KF6::I18n
        KF6::SyntaxHighlighting
        KF6::Codecs
)

if(TARGET KF6::TextEditTextToSpeech)
    target_link_libraries(KPim6TextEdit PRIVATE KF6::TextEditTextToSpeech)
endif()

target_link_libraries(KPim6TextEdit PRIVATE KF6::TextEmoticonsWidgets)

set_target_properties(
    KPim6TextEdit
    PROPERTIES
        VERSION
            ${KPIMTEXTEDIT_VERSION}
        SOVERSION
            ${KPIMTEXTEDIT_SOVERSION}
        EXPORT_NAME
            PimTextEdit
)

install(TARGETS KPim6TextEdit EXPORT KPim6TextEditTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

########### Generate Headers ###############
ecm_generate_headers(KPimTextEdit_CamelCase_HEADERS
    HEADER_NAMES
    TextUtils

    PREFIX KPIMTextEdit
    REQUIRED_HEADERS kpimtextedit_HEADERS
)

ecm_generate_headers(KPimTextEdit_CamelCasegrantlee_HEADERS
    HEADER_NAMES
    PlainTextMarkupBuilder
    TextHTMLBuilder
    MarkupDirector
    AbstractMarkupBuilder
    PREFIX KPIMTextEdit
    REQUIRED_HEADERS kpimtextedit_HEADERS
    RELATIVE grantleebuilder
)

ecm_generate_headers(KPimTextEdit_Camelcasecomposerng_HEADERS
    HEADER_NAMES
    RichTextComposer
    RichTextComposerControler
    RichTextComposerImages
    RichTextExternalComposer
    RichTextComposerActions
    RichTextComposerEmailQuoteHighlighter
    RichTextComposerWidget
    REQUIRED_HEADERS KPimTextEdit_composerng_HEADERS
    PREFIX KPIMTextEdit
    RELATIVE composer-ng
)

########### install files ###############

install(
    FILES
        ${CMAKE_CURRENT_BINARY_DIR}/kpimtextedit_export.h
        ${kpimtextedit_HEADERS}
        ${KPimTextEdit_composerng_HEADERS}
        ${KPimTextEdit_grantlee_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/KPIMTextEdit/kpimtextedit
    COMPONENT Devel
)

install(
    FILES
        ${KPimTextEdit_CamelCase_HEADERS}
        ${KPimTextEdit_Camelcasecomposerng_HEADERS}
        ${KPimTextEdit_CamelCasegrantlee_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/KPIMTextEdit/KPIMTextEdit/
    COMPONENT Devel
)

if(BUILD_TESTING)
    add_subdirectory(composer-ng/autotests)
    add_subdirectory(composer-ng/tests)
    add_subdirectory(grantleebuilder/autotests)
endif()

ecm_qt_install_logging_categories(EXPORT KPIMTEXTEDIT FILE kpimtextedit.categories DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR})

if(BUILD_QCH)
    ecm_add_qch(
        KPim6TextEdit_QCH
        NAME KPimTextEdit
        BASE_NAME KPim6TextEdit
        VERSION ${PIM_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
            ${kpimtextedit_HEADERS}
            ${KPimTextEdit_composerng_HEADERS}
            ${KPimTextEdit_grantlee_HEADERS}
        LINK_QCHS
            Qt6Core_QCH
            Qt6Gui_QCH
            Qt6Widgets_QCH
        INCLUDE_DIRS
            ${CMAKE_CURRENT_BINARY_DIR}
        BLANK_MACROS
            KPIMTEXTEDIT_EXPORT
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
    ecm_install_qch_export(
        TARGETS KPim6PimTextEdit_QCH
        FILE KPim6TextEditQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KPim6TextEditQchTargets.cmake\")")
endif()

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KPimTextEditConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KPim6TextEditConfig.cmake"
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

install(
    FILES
        "${CMAKE_CURRENT_BINARY_DIR}/KPim6TextEditConfig.cmake"
        "${CMAKE_CURRENT_BINARY_DIR}/KPim6TextEditConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
)

install(
    EXPORT KPim6TextEditTargets
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    FILE KPim6TextEditTargets.cmake
    NAMESPACE KPim6::
)

install(
    FILES
        ${CMAKE_CURRENT_BINARY_DIR}/kpimtextedit_version.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/KPIMTextEdit
    COMPONENT Devel
)

=== src/grantleebuilder/autotests/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause
add_definitions(-DGRANTLEEBUILDER_DIR="${CMAKE_CURRENT_SOURCE_DIR}/data")
ecm_add_test(texthtmlbuildertest.cpp texthtmlbuildertest.h
    TEST_NAME texthtmlbuildertest
    NAME_PREFIX "kpimtextedit-grantleebuilder-"
    LINK_LIBRARIES KPim6::TextEdit Qt::Test Qt::Widgets
)

ecm_add_test(plaintextmarkupbuildertest.cpp plaintextmarkupbuildertest.h
    TEST_NAME plaintextmarkupbuildertest
    NAME_PREFIX "kpimtextedit-grantleebuilder-"
    LINK_LIBRARIES KPim6::TextEdit Qt::Test Qt::Widgets
)

=== debian/changelog ===
kpimtextedit (25.08.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Sep 2025 06:56:14 +0100

kpimtextedit (25.08.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Aug 2025 11:27:13 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: kpimtextedit
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sandro Knauß <hefee@debian.org>, Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.6.0~),
                libkf6codecs-dev (>= 6.6.0~),
                libkf6config-dev (>= 6.6.0~),
@@ -24,10 +25,10 @@
                qt6-base-dev (>= 6.7.0~),
                xauth,
                xvfb,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/pim/kpimtextedit
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kpimtextedit
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kpimtextedit.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpimtextedit
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpimtextedit
 Rules-Requires-Root: no
 
 Package: libkpimtextedit-data

## kpimtextedit 25.08.1+p24.04+vstable+git20250911.1251

=== debian/changelog ===
kpimtextedit (25.08.1+p24.04+vstable+git20250911.1251-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 11 Sep 2025 12:51:32 +0000

kpimtextedit (25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 10:45:38 +0000

## kpimtextedit 25.08.1+p24.04+vstable+git20250920.0911

=== debian/changelog ===
kpimtextedit (25.08.1+p24.04+vstable+git20250920.0911-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 20 Sep 2025 09:11:59 +0000

## kpimtextedit 25.08.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,16 +1,16 @@
 # SPDX-FileCopyrightText: none
 # SPDX-License-Identifier: BSD-3-Clause
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.3.3")
+set(PIM_VERSION "6.5.2")
 
 project(KPimTextEdit VERSION ${PIM_VERSION})
 
 # ECM setup
-set(KF_MIN_VERSION "6.6.0")
-set(QT_REQUIRED_VERSION "6.7.0")
+set(KF_MIN_VERSION "6.14.0")
+set(QT_REQUIRED_VERSION "6.8.0")
+set(CMAKE_CXX_STANDARD 20)
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
-
 
 include(KDEInstallDirs)
 include(KDECMakeSettings)
@@ -20,11 +20,26 @@
 include(ECMGenerateHeaders)
 
 include(ECMSetupVersion)
-include(FeatureSummary)
-include(KDEGitCommitHooks)
-include(KDEClangFormat)
-file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES src/*.cpp src/*.h)
-kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
+file(
+    GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES
+    src/*.cpp
+    src/*.h
+)
+set(PRE_COMMIT_INSTALLED FALSE)
+if(${CMAKE_SOURCE_DIR} STREQUAL ${PROJECT_SOURCE_DIR})
+    if(EXISTS "${PROJECT_SOURCE_DIR}/.git/hooks/pre-commit")
+        file(READ "${PROJECT_SOURCE_DIR}/.git/hooks/pre-commit" FILE_CONTENTS)
+        string(FIND "${FILE_CONTENTS}" "File generated by pre-commit" INDEX)
+        if(${INDEX} GREATER_EQUAL 0)
+            set(PRE_COMMIT_INSTALLED TRUE)
+        endif()
+    endif()
+endif()
+if(NOT ${PRE_COMMIT_INSTALLED})
+    include(KDEGitCommitHooks)
+    include(KDEClangFormat)
+    kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
+endif()
 
 include(ECMAddTests)
 include(ECMQtDeclareLoggingCategory)
@@ -34,11 +49,15 @@
 include(ECMAddQch)
 
 option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
-add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")
+add_feature_info(
+    QCH
+    ${BUILD_QCH}
+    "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)"
+)
 
 set(KPIMTEXTEDIT_LIB_VERSION ${PIM_VERSION})
 
-set(KTEXTADDONS_MIN_VERSION "1.5.4")
+set(KTEXTADDONS_MIN_VERSION "1.6.0")
 
 find_package(Qt6 ${QT_REQUIRED_VERSION} CONFIG REQUIRED COMPONENTS Widgets)
 
@@ -64,8 +83,7 @@
 add_definitions(-DTRANSLATION_DOMAIN=\"libkpimtextedit6\")
 
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
-ecm_set_disabled_deprecation_versions(QT 6.8.0  KF 6.8.0)
-
+ecm_set_disabled_deprecation_versions(QT 6.10.0  KF 6.16.0)
 
 find_package(KF6TextEditTextToSpeech ${KTEXTADDONS_MIN_VERSION} CONFIG)
 if(TARGET KF6::TextEditTextToSpeech)
@@ -79,15 +97,21 @@
 find_package(KF6TextAddonsWidgets ${KTEXTADDONS_MIN_VERSION} CONFIG REQUIRED)
 
 if(BUILD_TESTING)
-   find_package(Qt6 ${QT_REQUIRED_VERSION} CONFIG REQUIRED COMPONENTS Test)
-   add_definitions(-DBUILD_TESTING)
+    find_package(Qt6 ${QT_REQUIRED_VERSION} CONFIG REQUIRED COMPONENTS Test)
+    add_definitions(-DBUILD_TESTING)
 endif()
 
 ########### Targets ###########
 add_subdirectory(src)
 
-kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
+if(DEFINED kde_configure_git_pre_commit_hook)
+    kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
+endif()
 ki18n_install(po)
 ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
-file(GLOB_RECURSE ALL_SOURCE_FILES src/*.cpp src/*.h)
+file(
+    GLOB_RECURSE ALL_SOURCE_FILES
+    src/*.cpp
+    src/*.h
+)
 ecm_check_outbound_license(LICENSES GPL-2.0-only  FILES ${ALL_SOURCE_FILES})

=== debian/changelog ===
kpimtextedit (25.08.2-0zneon+24.04+noble+release+build31) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Mon, 13 Oct 2025 05:18:26 +0000

kpimtextedit (25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 05:29:57 +0000

## kpimtextedit 25.08.2+p24.04+vstable+git20251015.1521

=== debian/changelog ===
kpimtextedit (25.08.2+p24.04+vstable+git20251015.1521-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 15:21:05 +0000

=== debian/control ===
Source: kpimtextedit
Section: libs
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               doxygen,
               kf6-extra-cmake-modules,
               kf6-kcodecs-dev,
               kf6-kconfigwidgets-dev,
               kf6-kcoreaddons-dev,
               kf6-kiconthemes-dev,
               kf6-kio-dev,
               kf6-ktextaddons-dev,
               kf6-ktexttemplate-dev,
               kf6-ktextwidgets-dev,
               kf6-kwidgetsaddons-dev,
               kf6-kxmlgui-dev,
               kf6-sonnet-dev,
               kf6-syntax-highlighting-dev,
               ninja-build,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-tools-dev,
               reuse
Standards-Version: 4.6.2
Homepage: https://projects.kde.org/projects/kde/pim/kpimtextedit
Vcs-Git: https://invent.kde.org/neon/kde/kpimtextedit.git
Vcs-Browser: https://invent.kde.org/neon/kde/kpimtextedit
Maintainer: Neon CI <neon@kde.org>

Package: kpim6-kpimtextedit
Architecture: any
Multi-Arch: same
X-Neon-MergedPackage: true
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: libkpim6pimtextedit6abi2
Replaces: libkf5pimtextedit-data,
          libkf5pimtextedit-plugins,
          libkf5pimtextedit5,
          libkf5pimtextedit5abi2,
          libkf5pimtextedittexttospeech-data,
          libkf5pimtextedittexttospeech5,
          libkpim6pimtextedit-data,
          libkpim6pimtextedit-plugins,
          libkpim6pimtextedit6,
          libkpim6pimtextedittexttospeech-data,
          libkpim6pimtextedittexttospeech6
Description: library that provides a textedit with PIM-specific features
 KPIMTextedit provides a textedit with PIM-specific features. It also provides
 so-called rich text builders which can convert the formatted text in the text
 edit to all kinds of markup, like HTML or BBCODE.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: kpim6-kpimtextedit-dev
Section: libdevel
Architecture: any
X-Neon-MergedPackage: true
Depends: kf6-ktextaddons-dev,
         kf6-ktextwidgets-dev,
         kf6-sonnet-dev,
         kf6-syntax-highlighting-dev,
         kpim6-kpimtextedit (= ${binary:Version}),
         ${misc:Depends}
Replaces: libkf5pimtextedit-dev,
          libkf5pimtextedittexttospeech-dev,
          libkpim6pimtextedit-dev,
          libkpim6pimtextedittexttospeech-dev
Description: kpim6kpimtextedit - development files
 KPIMTextedit provides a textedit with PIM-specific features. It also provides
 so-called rich text builders which can convert the formatted text in the text
 edit to all kinds of markup, like HTML or BBCODE.
 .
 This package contains the development files.

Package: libkpim6pimtextedit6
Architecture: all
Depends: kpim6-kpimtextedit, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim6pimtextedit-data
Architecture: all
Depends: kpim6-kpimtextedit, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim6pimtextedit-dev
Architecture: all
Depends: kpim6-kpimtextedit-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim6pimtextedit-plugins
Architecture: all
Depends: kpim6-kpimtextedit, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim6pimtextedittexttospeech6
Architecture: all
Depends: kpim6-kpimtextedit, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim6pimtextedittexttospeech-data
Architecture: all
Depends: kpim6-kpimtextedit, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim6pimtextedittexttospeech-dev
Architecture: all
Depends: kpim6-kpimtextedit-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim6pimtextedit6abi2
Architecture: all
Depends: kpim6-kpimtextedit, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5pimtextedit-data
Architecture: all
Depends: kpim6-kpimtextedit, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5pimtextedit-dev
Architecture: all
Depends: kpim6-kpimtextedit-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5pimtextedit-plugins
Architecture: all
Depends: kpim6-kpimtextedit, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5pimtextedittexttospeech5
Architecture: all
Depends: kpim6-kpimtextedit, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5pimtextedittexttospeech-data
Architecture: all
Depends: kpim6-kpimtextedit, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5pimtextedittexttospeech-dev
Architecture: all
Depends: kpim6-kpimtextedit-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

=== debian/tests/control ===
Tests: testsuite
Depends: breeze-icon-theme,
         build-essential,
         dbus-x11,
         libgl1-mesa-dri,
         openbox,
         xauth,
         xvfb,
         @,
         @builddeps@
Restrictions: build-needed

## kpimtextedit 25.08.2+p24.04+vstable+git20251019.0319

=== debian/changelog ===
kpimtextedit (25.08.2+p24.04+vstable+git20251019.0319-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 03:19:53 +0000

## kpimtextedit 25.08.2+p24.04+vunstable+git20251013.0450

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,14 +1,15 @@
 # SPDX-FileCopyrightText: none
 # SPDX-License-Identifier: BSD-3-Clause
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.5.2")
+set(PIM_VERSION "6.5.40")
 
 project(KPimTextEdit VERSION ${PIM_VERSION})
 
 # ECM setup
-set(KF_MIN_VERSION "6.14.0")
+set(KF_MIN_VERSION "6.17.0")
 set(QT_REQUIRED_VERSION "6.8.0")
 set(CMAKE_CXX_STANDARD 20)
+set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 
@@ -57,7 +58,7 @@
 
 set(KPIMTEXTEDIT_LIB_VERSION ${PIM_VERSION})
 
-set(KTEXTADDONS_MIN_VERSION "1.6.0")
+set(KTEXTADDONS_MIN_VERSION "1.8.0")
 
 find_package(Qt6 ${QT_REQUIRED_VERSION} CONFIG REQUIRED COMPONENTS Widgets)
 
@@ -83,7 +84,7 @@
 add_definitions(-DTRANSLATION_DOMAIN=\"libkpimtextedit6\")
 
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
-ecm_set_disabled_deprecation_versions(QT 6.10.0  KF 6.16.0)
+ecm_set_disabled_deprecation_versions(QT 6.10.0  KF 6.18.0)
 
 find_package(KF6TextEditTextToSpeech ${KTEXTADDONS_MIN_VERSION} CONFIG)
 if(TARGET KF6::TextEditTextToSpeech)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -173,13 +173,16 @@
 )
 
 ########### install files ###############
+set(KPimTextEdit_includes
+    ${kpimtextedit_HEADERS}
+    ${KPimTextEdit_composerng_HEADERS}
+    ${KPimTextEdit_grantlee_HEADERS}
+)
 
 install(
     FILES
         ${CMAKE_CURRENT_BINARY_DIR}/kpimtextedit_export.h
-        ${kpimtextedit_HEADERS}
-        ${KPimTextEdit_composerng_HEADERS}
-        ${KPimTextEdit_grantlee_HEADERS}
+        ${KPimTextEdit_includes}
     DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/KPIMTextEdit/kpimtextedit
     COMPONENT Devel
 )
@@ -209,9 +212,7 @@
         VERSION ${PIM_VERSION}
         ORG_DOMAIN org.kde
         SOURCES # using only public headers, to cover only public API
-            ${kpimtextedit_HEADERS}
-            ${KPimTextEdit_composerng_HEADERS}
-            ${KPimTextEdit_grantlee_HEADERS}
+        ${KPimTextEdit_includes}
         LINK_QCHS
             Qt6Core_QCH
             Qt6Gui_QCH

=== debian/changelog ===
kpimtextedit (25.08.2+p24.04+vunstable+git20251013.0450-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 13 Oct 2025 04:50:17 +0000

## kpimtextedit 25.08.2+p24.04+vunstable+git20251015.1326

=== debian/changelog ===
kpimtextedit (25.08.2+p24.04+vunstable+git20251015.1326-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 13:26:57 +0000

## kpimtextedit 25.08.2+p24.04+vunstable+git20251020.1146

=== CMakeLists.txt ===
--- 
+++ 
@@ -84,7 +84,7 @@
 add_definitions(-DTRANSLATION_DOMAIN=\"libkpimtextedit6\")
 
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
-ecm_set_disabled_deprecation_versions(QT 6.10.0  KF 6.18.0)
+ecm_set_disabled_deprecation_versions(QT 6.10.0  KF 6.19.0)
 
 find_package(KF6TextEditTextToSpeech ${KTEXTADDONS_MIN_VERSION} CONFIG)
 if(TARGET KF6::TextEditTextToSpeech)

=== debian/changelog ===
kpimtextedit (25.08.2+p24.04+vunstable+git20251020.1146-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 11:46:26 +0000
